Preferences
Update user preferences
Updates one or more preference fields
Production (Pomodoro microservice)StagingUAT
PUThttps://pomodoro.ankiren.com/api/me/pomodoro/preferences
Request Body
Bắt buộc.
- workDurationinteger
Work duration in seconds (1-60 minutes)
- shortBreakDurationinteger
Short break duration in seconds (1-60 minutes)
- longBreakDurationinteger
Long break duration in seconds (1-60 minutes)
- longBreakIntervalinteger
Work sessions before long break (1-10)
- autoStartBreaksboolean
- autoStartWorkboolean
- soundEnabledboolean
- soundVolumenumber
Sound volume (0.0-1.0)
application/json
{ "workDuration": 1800, "shortBreakDuration": 600 }
Responses
200 · Updated preferences
- preferencesPomodoroPreference
- idintegerRequired
Preference record ID
- userIdstringRequired
User ID
- workDurationintegerRequired
Work session duration in seconds (default 1500 = 25 min)
- shortBreakDurationintegerRequired
Short break duration in seconds (default 300 = 5 min)
- longBreakDurationintegerRequired
Long break duration in seconds (default 900 = 15 min)
- longBreakIntervalintegerRequired
Number of work sessions before long break (default 4)
- autoStartBreaksbooleanRequired
Auto-start break after work session
- autoStartWorkbooleanRequired
Auto-start work after break
- soundEnabledbooleanRequired
Enable notification sounds
- soundVolumenumberRequired
Sound volume (0.0 to 1.0)
- createdAtstring<date-time>
- updatedAtstring<date-time>
application/json
{ "preferences": { "id": 0, "userId": "string", "workDuration": 0, "shortBreakDuration": 0, "longBreakDuration": 0, "longBreakInterval": 0, "autoStartBreaks": true, "autoStartWork": true, "soundEnabled": true, "soundVolume": 0, "createdAt": "2026-01-01T00:00:00.000Z", "updatedAt": "2026-01-01T00:00:00.000Z" } }
Sample Code
Đổi ngôn ngữ ở ô Language trên thanh Documentation.
cURL
curl -X PUT 'https://pomodoro.ankiren.com/api/me/pomodoro/preferences' \
-H 'Authorization: Bearer <token>' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"workDuration": 1800,
"shortBreakDuration": 600
}'